#### RestEvent

A Rest.

Syntax `r4` for a quarter rest.

Music types: general-music, event, rhythmic-event and rest-event

Accepted by: Figured_bass_engraver, Rest_engraver, Rest_swallow_translator, Swallow_engraver and Swallow_performer

Properties:

`name` (symbol):
  `'RestEvent`

  Name of this music object

`internal-class-name` (string):
  `Event`

  C++ class to use for this Music object

`types` (list):
  `'(general-music event rhythmic-event rest-event)`

  The types of this music object; determines by what engraver this music expression is processed.

Read comments on this page, or add one. This page is for LilyPond-2.2.2 (stable-branch).